
import java.nio.ByteBuffer;
import java.nio.channels.WritableByteChannel;
import java.nio.channels.Channels;

/**
 * Say hello to the world, NIO Style.
 * @author Ron Hitchens
 * @version $Id: HelloWorldNio.java,v 1.1 2003/02/04 20:32:54 ron Exp $
 */
public class HelloWorldNio
{
	public static void main (String [] argv)
		throws Exception
	{
		String hello = "Hello World" + System.getProperty ("line.separator");
		ByteBuffer bb = ByteBuffer.wrap (hello.getBytes ("UTF-8"));
		WritableByteChannel wbc = Channels.newChannel (System.out);

		wbc.write (bb);
		wbc.close();
	}
}
