
public class Email
{
	public static final String VALID_EMAIL_PATTERN =
		"([a-zA-Z0-9_\\-\\.]+)@((\\[[0-9]{1,3}\\.[0-9]"
		+ "{1,3}\\.[0-9]{1,3}\\.)|(([a-zA-Z0-9\\-]+\\.)+))"
		+ "([a-zA-Z]{2,4}|[0-9]{1,3})(\\]?)";

	public static void main (String [] argv)
		throws Exception
	{
		String emailAddress = argv [0];

		if (emailAddress.matches (VALID_EMAIL_PATTERN)) {
		    addEmailAddress (emailAddress);
		} else {
		    throw new IllegalArgumentException (emailAddress);
		}
	}

	public static void addEmailAddress (String addr)
	{
		System.out.println ("adding: " + addr);
	}
}
